package it.unitn.disi.prog2.bonizzi;

import javafx.geometry.Insets;
import javafx.geometry.Pos;
import javafx.scene.Scene;
import javafx.scene.control.Label;
import javafx.scene.layout.GridPane;
import javafx.scene.shape.Circle;
import javafx.scene.text.Font;
import javafx.scene.text.FontWeight;
import javafx.stage.Stage;
import javafx.stage.StageStyle;

/**
 * 
 * Classe che estende {@link javafx.stage.Stage}. Crea una semplice finestra
 * che contiene la matrice di occupazione
 * 
 * @author Alberto Bonizzi
 */
public class PrintStage extends Stage {
    
    /**
     * 
     * Costruttore della classe. 
     * 
     * @param matrix la matrice di cerchi che viene visualizzata nel GridPane
     * della finestra principale
     */
    
    public PrintStage (Circle[][] matrix) {
        
        super ();
        
        GridPane grid;
        
        initStyle (StageStyle.UTILITY);
        
        grid = new GridPane ();
        grid.setPadding (new Insets (10));
        grid.setHgap (10);
        grid.setVgap (5);
        grid.setAlignment (Pos.CENTER);
        
        for (int i = 0; i<matrix.length; i++) {
            for (int j = 0; j<matrix[i].length; j++) {
            
                int intValue;
                Label label;
                
                intValue = (int) matrix[i][j].getOpacity ();
                label = new Label (intValue + "");
                label.setFont (Font.font (  Font.getDefault ().getName (), 
                                            intValue == 1 ? FontWeight.BOLD : FontWeight.NORMAL, 
                                            14                                      ));
                
                
                grid.add (label, j, i);
            }
        }
        
        setScene (new Scene (grid));
    }
}
